## org.apache.commons.collections.functors
Class InstantiateTransformer

    java.lang.Object
      org.apache.commons.collections.functors.InstantiateTransformer

All Implemented Interfaces:
  Serializable, Transformer

public class InstantiateTransformer
extends Object
implements Transformer, Serializable

Transformer implementation that creates a new object instance by reflection.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/05/16 11:36:31 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary
`static Transformer` `NO_ARG_INSTANCE` Singleton instance that uses the no arg constructor

Constructor Summary
`InstantiateTransformer(Class[] paramTypes, Object[] args)` Constructor that performs no validation.

Method Summary
`static Transformer` `getInstance(Class[] paramTypes, Object[] args)` Transformer method that performs validation.
`Object` `transform(Object input)` Transforms the input Class object to a result by instantiation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_ARG_INSTANCE

    public static final Transformer NO_ARG_INSTANCE

  Singleton instance that uses the no arg constructor

Constructor Detail

### InstantiateTransformer

    public InstantiateTransformer(Class[] paramTypes,
                                  Object[] args)

  Constructor that performs no validation. Use `getInstance` if you want that.

Parameters:
  `paramTypes` - the constructor parameter types, not cloned
  `args` - the constructor arguments, not cloned

Method Detail

### getInstance

    public static Transformer getInstance(Class[] paramTypes,
                                          Object[] args)

  Transformer method that performs validation.

  Parameters:
    `paramTypes` - the constructor parameter types
    `args` - the constructor arguments
  Returns:
    an instantiate transformer

### transform

    public Object transform(Object input)

  Transforms the input Class object to a result by instantiation.

  Specified by:
    `transform` in interface `Transformer`
  Parameters:
    `input` - the input object to transform
  Returns:
    the transformed result

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.